### Method

# Gtk Snapshotrender_layout

deprecated: 4.10

#### Declaration [src]

    void
    gtk_snapshot_render_layout (
      GtkSnapshot* snapshot,
      GtkStyleContext* context,
      double x,
      double y,
      PangoLayout* layout
    )

#### Description [src]

Creates a render node for rendering `layout` according to the style information in `context`, and appends it to the current node of `snapshot`, without changing the current node.

Deprecated since: 4.10

Please do not use it in newly written code.

#### Parameters

`context`

  Type: `GtkStyleContext`

  The style context that defines the text.

  The data is owned by the caller of the method.

`x`

  Type: `double`

  X origin of the rectangle.

`y`

  Type: `double`

  Y origin of the rectangle.

`layout`

  Type: `PangoLayout`

  The `PangoLayout` to render.

  The data is owned by the caller of the method.